PUT/schedule/{scheduleid}

Update Schedule

This API call enables you to modify a schedule configuration by providing the scheduleid as an input.
PUT/schedule/{scheduleid}

Parameter Details

NameInTypeRequiredDescription
scheduleidpathinteger(int32)Requirednone
bodybodyRequirednone

Responses

StatusMeaningDescriptionSchema
200OKSuccess
400Bad RequestBad RequestNone
401UnauthorizedAuthentication Failed or Account validity expiredNone
500Internal Server ErrorInternal server errorNone

Example Request

# You can also use wget
curl -X PUT /schedule/{scheduleid} \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body parameter

{
  "schedulename": "X-Mas",
  "rateshopid": 0,
  "year": "*",
  "month": "*",
  "dow": "*",
  "day": "*",
  "hour": "1",
  "minute": "*",
  "seconds": "*",
  "status": 1,
  "startdate": "2019-08-24",
  "enddate": "2019-08-24"
}

Example responses

200 Response
{
  "scheduleid": 0,
  "schedulename": "string",
  "rateshopid": 0,
  "year": "string",
  "month": "string",
  "dow": "string",
  "day": "string",
  "hour": "string",
  "minute": "string",
  "seconds": "string",
  "status": 0,
  "startdate": "2019-08-24",
  "enddate": "2019-08-24"
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.